
/*
 * H
 *
 *	Copyright 2017-2019 MicroEJ Corp. All rights reserved.
 *	MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _ADC_MANAGER
#define _ADC_MANAGER

/* Includes ------------------------------------------------------------------*/

#include "hal_lpc54608.h"

/* API -----------------------------------------------------------------------*/

/*
 * Initialize all ADCs
 */
int32_t adc_manager_initialize(void);

/*
 * Return the ADC value for given GPIO
 */
int32_t adc_manager_get_value(hal_lpc54608_gpio_data* gpio);

/* EOF -----------------------------------------------------------------------*/

#endif // _ADC_MANAGER
