/*
 * C
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * For demonstration purpose only.
 * MicroEJ Corp. PROPRIETARY. Use is subject to license terms.
 */

#include "t_core_core_benchmark.h"

#include <stdint.h>
#include "x_core_benchmark.h"
#include "coremark.h"

// Declaration for core_main.
// This is not very clean to put it here it would be better in coremark.h but
// we do not want to modified coremark file when we can avoid it.
#if MAIN_HAS_NOARGC
MAIN_RETURN_TYPE core_main(void);
#else
MAIN_RETURN_TYPE core_main(int argc, char *argv[]);
#endif

bool X_CORE_BENCHMARK_run(void)
{
	core_main();
    return true;
}
